<?php

namespace Test\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class Jobs2018Transformer extends TransformerAbstract
{
    public function transform(\Test\Test\Models\Jobs2018 $jobs2018)
    {
        return [
            'id'                => $jobs2018->getRouteKey(),
            'key'               => [
                'public'    => $jobs2018->getPublicKey(),
                'route'     => $jobs2018->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('test/'.$jobs2018->getPublicKey()),
                'user'      => guard_url('test/jobs2018/'.$jobs2018->getRouteKey()),
            ], 
            'status'            => trans('app.'.$jobs2018->status),
            'created_at'        => format_date($jobs2018->created_at),
            'updated_at'        => format_date($jobs2018->updated_at),
        ];
    }
}