<?php

namespace Test\Test\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Test\Test\Models\Jobs2018;

class Jobs2018Action
{
    /**
     * Perform the complete action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */
    public function complete(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'complete';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */public function verify(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'verify';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */public function approve(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'approve';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */public function publish(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'publish';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */
    public function archive(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'archive';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return Jobs2018
     */
    public function unpublish(Jobs2018 $jobs2018)
    {
        try {
            $jobs2018->status = 'unpublish';
            return $jobs2018->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
